
#include "SoftwareSerial.h"
/****************************************
 * Define Constants
 ****************************************/
char command[128];  // command
char answer[100]; // answer from server
SoftwareSerial esp(8,9);

/****************************************
 * Main Functions
 ****************************************/
void setup() {
  Serial.begin(115200);
  esp.begin(115200);
}

void loop() {

  int i = 0;
  int j = 0;

  if (Serial.available()){
    while (Serial.available() > 0) {
      command[i++] = (char)Serial.read();
    }  
    /* Sends the command to the telemetry unit */
   esp.print(command);
    i = 0;
  }

  if (esp.available() > 0) {
    /* Reading the telemetry unit */
    while (esp.available() > 0) {
      answer[j++] = (char)esp.read();
    }
    /* Response from the server */
    Serial.print(answer);
    j = 0;
  }
}
